[
  {
    "metadata": {},
    "data": [
      {
        "code": "DBCRJ",
        "label": "Débit/Crédit des jours travail",
        "concise": "dbcred",
        "type": "REAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": true,
          "dayTypes": [
            "WORKED"
          ],
          "days": [
            "MONDAY",
            "TUESDAY",
            "WEDNESDAY",
            "THURSDAY",
            "FRIDAY",
            "SATURDAY",
            "SUNDAY"
          ],
          "scheduleTypes": [
            "DAY"
          ],
          "resourcePresence": "PRESENT"
        },
        "calculationOrder": 2,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B07 D/C JOUR"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "DBCRS",
        "label": "Débit/Crédit des jours travail",
        "concise": "dbcred",
        "type": "REAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "WEEKLY",
          "calendarCode": "STD",
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": true,
          "dayTypes": [
            "WORKED"
          ],
          "days": [
            "MONDAY",
            "TUESDAY",
            "WEDNESDAY",
            "THURSDAY",
            "FRIDAY",
            "SATURDAY",
            "SUNDAY"
          ],
          "scheduleTypes": [
            "DAY"
          ],
          "resourcePresence": "PRESENT"
        },
        "calculationOrder": 2,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B07 D/C JOUR"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TPPRS",
        "label": "Temps de présence quotidien",
        "concise": "tpspres",
        "type": "REAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "+01,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": true,
          "dayTypes": [
            "WORKED"
          ],
          "days": [
            "MONDAY",
            "TUESDAY",
            "WEDNESDAY",
            "THURSDAY",
            "FRIDAY"
          ],
          "scheduleTypes": [
            "DAY"
          ],
          "resourcePresence": "PRESENT"
        },
        "calculationOrder": 240,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B03 HRS RECTIFIEES"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "TREST",
        "label": "PRIME : TICKET REST. JOUR",
        "concise": "tkrst",
        "type": "REAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 1180,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "BASE",
                "value": "B03 HRS RECTIFIEES"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-1 VARIABLE-1",
                "timeSlot": 0
              }
            }
          },
          {
            "instruction": {
              "type": "IF",
              "firstOperand": {
                "operandItem": "VARIABLE",
                "value": "V-1 VARIABLE-1"
              },
              "operator": "EQUAL",
              "secondOperand": {
                "operandItem": "CONSTANT",
                "value": "0"
              },
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "END",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "ENDIF",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "CONSTANT",
                "value": "1"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "DCPS",
        "label": "Solde CP",
        "concise": "DCPS",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "right": null,
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 0,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "RIGHT",
                "value": "DCP   CONGES PAYES"
              },
              "operator": "SLD",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "DRTTS",
        "label": "Solde RTT",
        "concise": "RTT",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "DAILY",
          "calendarCode": null,
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "calculationOrder": 0,
        "formulaLines": [
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "RIGHT",
                "value": "RTT   RTT"
              },
              "operator": "SLD",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "DRTT",
        "label": "ACQUISITION RTT MENSUELLE",
        "concise": "DRTT",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "PERIODIC",
          "calendarCode": "FMOIS",
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "right": {
          "code": "DRTT",
          "operation": "ADD_RIGHT",
          "financialYear": 0,
          "createIfNotExist": true,
          "creationDateOption": "RIGHT_SETTINGS",
          "customDate": "01/01"
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "formulaLines": [
          {
            "instruction": {
              "type": "IF",
              "firstOperand": {
                "operandItem": "FUNCTION",
                "value": "F42 DATE CPT - AUJOURD'HUI"
              },
              "operator": "GREATER",
              "secondOperand": {
                "operandItem": "CONSTANT",
                "value": "0"
              },
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "END",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "ENDIF",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "CONSTANT",
                "value": "0.8333"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      },
      {
        "code": "DCP",
        "label": "ACQUISITION CP MENSUELLE",
        "concise": "DCP",
        "type": "PREVISIONAL",
        "isActive": true,
        "saveResult": true,
        "period": {
          "calculationFrequency": "PERIODIC",
          "calendarCode": "FMOIS",
          "cycleCode": null,
          "startDateCycle": null,
          "startPeriod": "00,00",
          "endPeriod": "00,00",
          "dailyEvaluation": false,
          "timeSlotCalculation": false,
          "firstStartTimeSlot": null,
          "firstEndTimeSlot": null,
          "secondStartTimeSlot": null,
          "secondEndTimeSlot": null
        },
        "right": {
          "code": "DCP",
          "operation": "ADD_RIGHT",
          "financialYear": 0,
          "createIfNotExist": true,
          "creationDateOption": "RIGHT_SETTINGS",
          "customDate": "01/01"
        },
        "schedule": {
          "maxTimeSlot": 1,
          "useDayFilter": false,
          "dayTypes": null,
          "days": null,
          "scheduleTypes": null,
          "resourcePresence": null
        },
        "formulaLines": [
          {
            "instruction": {
              "type": "IF",
              "firstOperand": {
                "operandItem": "FUNCTION",
                "value": "F42 DATE CPT - AUJOURD'HUI"
              },
              "operator": "GREATER",
              "secondOperand": {
                "operandItem": "CONSTANT",
                "value": "0"
              },
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "END",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "ENDIF",
              "enabled": true
            }
          },
          {
            "instruction": {
              "type": "CALCULATION",
              "enabled": true,
              "firstOperand": {
                "operandItem": "CONSTANT",
                "value": "2.08"
              },
              "operator": "UNKNOWN",
              "secondOperand": {
                "operandItem": "UNKNOWN",
                "value": null
              },
              "result": {
                "item": "VARIABLE",
                "value": "V-5 RESULTAT",
                "timeSlot": 0
              }
            }
          }
        ]
      }
    ]
  }
]